DatagramSocketSynchChannelFactory (ActiveIO 1.0 API)
Keywords: org.activeio.net.DatagramSocketSynchChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class DatagramSocketSynchChannelFactory

    java.lang.Object
      org.activeio.net.DatagramSocketSynchChannelFactory

All Implemented Interfaces:
  SynchChannelFactory

public class DatagramSocketSynchChannelFactory
extends java.lang.Object
implements SynchChannelFactory

A TcpSynchChannelFactory creates `org.activeio.net.TcpSynchChannel` and `org.activeio.net.TcpSynchChannelServer` objects.

Version:
  $Revision$

Constructor Summary
`DatagramSocketSynchChannelFactory()`

Method Summary
`SynchChannelServer` | `bindSynchChannel(java.net.URI location)` Binds a server at the URI location.
`protected SynchChannel` | `createSynchChannel(java.net.DatagramSocket socket)`
`SynchChannel` | `openSynchChannel(java.net.URI location)` Uses the 's host and port to create a tcp connection to a remote host.
`SynchChannel` | `openSynchChannel(java.net.URI location, java.net.URI localLocation)` Uses the 's host and port to create a tcp connection to a remote host.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatagramSocketSynchChannelFactory

    public DatagramSocketSynchChannelFactory()

Method Detail

### openSynchChannel

    public SynchChannel openSynchChannel(java.net.URI location)
                                  throws java.io.IOException

  Uses the 's host and port to create a tcp connection to a remote host.

  Specified by:
    `openSynchChannel` in interface `SynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`
  See Also:
    `SynchChannelFactory.openSynchChannel(java.net.URI)`

### openSynchChannel

    public SynchChannel openSynchChannel(java.net.URI location,
                                         java.net.URI localLocation)
                                  throws java.io.IOException

  Uses the 's host and port to create a tcp connection to a remote host.

  Throws:
    `java.io.IOException`

### createSynchChannel

    protected SynchChannel createSynchChannel(java.net.DatagramSocket socket)
                                       throws java.io.IOException

  Parameters:
    `socket` -
  Returns:
  Throws:
    `java.io.IOException`

### bindSynchChannel

    public SynchChannelServer bindSynchChannel(java.net.URI location)
                                        throws java.io.IOException

  Description copied from interface: `SynchChannelFactory`
  Binds a server at the URI location.

  Specified by:
    `bindSynchChannel` in interface `SynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException` - allways thrown.
  See Also:
    `SynchChannelFactory.bindSynchChannel(java.net.URI)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.